Prepare Data Element
Prepare data element.
What you are doing
Creating a DOB data element that defines what is protected (Date of Birth) and how it is protected using date tokenization in YYYY-MM-DD format.
Why it matters
Data elements are the protection building blocks that policies grant access to.
CLI Code
pim create dataelements token date-time --name "de_dob_token" --description "Tokenize Date of Birth" --tokenizer "SLT_8_DATETIME"
CLI Actual Output
UID NAME DESCRIPTION TOKENIZER TOKENIZETIME DISTINGUISHABLEDATE DATEINCLEAR
1 de_dob_token Tokenize Date of Birth SLT_8_DATETIME False False TokenElementDateInClear.NONE
API Endpoint
POST /pim/dataelements
API Code
curl -k \
-H "Authorization: Bearer ${TOKEN}" \
-H "accept: application/json" \
-H "Content-Type: application/json" \
-X POST "https://${GW_HOST}/pty/v2/pim/dataelements" \
-d '{
"name": "de_dob_token",
"description": "Tokenize Date of Birth",
"dateTimeToken": {
"tokenizer": "SLT_8_DATETIME",
"tokenizeTime": false,
"distinguishableDate": false,
"dateInClear": "NONE"
}
}'
API Actual Output
{"uid":"1","name":"de_dob_token","description":"Tokenize Date of Birth","dateTimeToken":{"tokenizer":"SLT_8_DATETIME","tokenizeTime":false,"distinguishableDate":false,"dateInClear":"NONE"}}
Feedback
Was this page helpful?